Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » scout » SWT Client startup Error(Error in starting SWT client)
SWT Client startup Error [message #1202914] Fri, 22 November 2013 06:32 Go to next message
Anurag Mahendru is currently offline Anurag Mahendru
Messages: 2
Registered: November 2013
Junior Member
Hi All,

I recently upgraded to scout 3.9.1 and since then I am having issues with swt client (exported project). I can work fine with swt client in eclipse workbench but when I export my project and deploy on tomcat server, i get following error when starting the swt client:
!SESSION 2013-11-22 12:16:28.067 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_43
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Command-line arguments: -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.equinox.app 0 0 2013-11-22 12:16:29.346
!MESSAGE Product org.zeiss.mo.xi.pcc.ui.swt.product could not be found.

!ENTRY org.eclipse.osgi 2 0 2013-11-22 12:16:29.384
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-11-22 12:16:29.384
!MESSAGE Bundle update@plugins/org.eclipse.e4.ui.bindings_0.10.3.v20130123-162658.jar was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.bindings 2 0 2013-11-22 12:16:29.384
!MESSAGE Missing imported package org.eclipse.e4.core.services.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-11-22 12:16:29.384
!MESSAGE Bundle update@plugins/org.eclipse.platform_4.3.1.v20130911-1000/ was not resolved.
!SUBENTRY 2 org.eclipse.platform 2 0 2013-11-22 12:16:29.384
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=CDC/Foundation)(version=1.0))(&(osgi.ee=JavaSE)(version=1.3)))".
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-11-22 12:16:29.384
!MESSAGE Bundle update@plugins/org.eclipse.ui_3.105.0.v20130522-1122.jar was not resolved.
!SUBENTRY 2 org.eclipse.ui 2 0 2013-11-22 12:16:29.384
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=CDC/Foundation)(version=1.0))(&(osgi.ee=JavaSE)(version=1.3)))".

!ENTRY org.eclipse.osgi 2 0 2013-11-22 12:16:29.403
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-11-22 12:16:29.403
!MESSAGE Bundle org.eclipse.e4.ui.bindings_0.10.3.v20130123-162658 [47] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.bindings 2 0 2013-11-22 12:16:29.403
!MESSAGE Missing imported package org.eclipse.e4.core.services.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-11-22 12:16:29.403
!MESSAGE Bundle org.eclipse.e4.ui.workbench.addons.swt_1.0.1.v20130823-1518 [55] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.addons.swt 2 0 2013-11-22 12:16:29.403
!MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.renderers.swt_0.9.1.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.addons.swt 2 0 2013-11-22 12:16:29.403
!MESSAGE Missing imported package org.eclipse.e4.ui.internal.workbench.swt_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-11-22 12:16:29.403
!MESSAGE Bundle org.eclipse.e4.ui.workbench.renderers.swt_0.11.1.v20130812-1345 [56] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-11-22 12:16:29.403
!MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-11-22 12:16:29.403
!MESSAGE Missing required bundle org.eclipse.e4.ui.bindings_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-11-22 12:16:29.403
!MESSAGE Bundle org.eclipse.e4.ui.workbench.swt_0.12.1.v20130815-1438 [57] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-11-22 12:16:29.403
!MESSAGE Missing required bundle org.eclipse.e4.ui.bindings_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-11-22 12:16:29.404
!MESSAGE Bundle org.eclipse.platform_4.3.1.v20130911-1000 [82] was not resolved.
!SUBENTRY 2 org.eclipse.platform 2 0 2013-11-22 12:16:29.404
!MESSAGE Missing required bundle org.eclipse.ui.intro_[3.2.0,4.0.0).
!SUBENTRY 2 org.eclipse.platform 2 0 2013-11-22 12:16:29.404
!MESSAGE Missing optionally required bundle org.eclipse.ui.cheatsheets_[3.2.0,4.0.0).
!SUBENTRY 2 org.eclipse.platform 2 0 2013-11-22 12:16:29.404
!MESSAGE Missing optionally required bundle org.eclipse.ui_[3.2.0,4.0.0).
!SUBENTRY 2 org.eclipse.platform 2 0 2013-11-22 12:16:29.404
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=CDC/Foundation)(version=1.0))(&(osgi.ee=JavaSE)(version=1.3)))".
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-11-22 12:16:29.404
!MESSAGE Bundle org.eclipse.scout.rt.ui.swt_3.9.1.20130827-1017 [91] was not resolved.
!SUBENTRY 2 org.eclipse.scout.rt.ui.swt 2 0 2013-11-22 12:16:29.404
!MESSAGE Missing required bundle org.eclipse.ui_[3.4.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-11-22 12:16:29.404
!MESSAGE Bundle org.eclipse.scout.svg.ui.swt_3.9.1.20130627-1613 [94] was not resolved.
!SUBENTRY 2 org.eclipse.scout.svg.ui.swt 2 0 2013-11-22 12:16:29.404
!MESSAGE Missing required bundle org.eclipse.scout.rt.ui.swt_[3.7.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-11-22 12:16:29.404
!MESSAGE Bundle org.eclipse.ui.intro_3.4.200.v20130326-1254 [99] was not resolved.
!SUBENTRY 2 org.eclipse.ui.intro 2 0 2013-11-22 12:16:29.404
!MESSAGE Missing optionally required bundle org.eclipse.help.base_[4.0.0,5.0.0).
!SUBENTRY 2 org.eclipse.ui.intro 2 0 2013-11-22 12:16:29.404
!MESSAGE Missing required bundle org.eclipse.ui_[3.6.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-11-22 12:16:29.404
!MESSAGE Bundle org.eclipse.ui.views_3.6.100.v20130326-1250 [100] was not resolved.
!SUBENTRY 2 org.eclipse.ui.views 2 0 2013-11-22 12:16:29.404
!MESSAGE Missing required bundle org.eclipse.ui_[3.5.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-11-22 12:16:29.404
!MESSAGE Bundle org.eclipse.ui.workbench.texteditor_3.8.101.v20130729-1318 [101] was not resolved.
!SUBENTRY 2 org.eclipse.ui.workbench.texteditor 2 0 2013-11-22 12:16:29.404
!MESSAGE Missing required bundle org.eclipse.ui_[3.5.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-11-22 12:16:29.404
!MESSAGE Bundle org.eclipse.ui.workbench_3.105.1.v20130821-1411 [102] was not resolved.
!SUBENTRY 2 org.eclipse.ui.workbench 2 0 2013-11-22 12:16:29.404
!MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.1.
!SUBENTRY 2 org.eclipse.ui.workbench 2 0 2013-11-22 12:16:29.404
!MESSAGE Missing required bundle org.eclipse.e4.ui.bindings_0.9.0.
!SUBENTRY 2 org.eclipse.ui.workbench 2 0 2013-11-22 12:16:29.404
!MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.addons.swt_0.10.0.
!SUBENTRY 2 org.eclipse.ui.workbench 2 0 2013-11-22 12:16:29.404
!MESSAGE Missing imported package org.eclipse.e4.ui.internal.workbench.renderers.swt_0.0.0.
!SUBENTRY 2 org.eclipse.ui.workbench 2 0 2013-11-22 12:16:29.404
!MESSAGE Missing imported package org.eclipse.e4.ui.internal.workbench.swt_0.0.0.
!SUBENTRY 2 org.eclipse.ui.workbench 2 0 2013-11-22 12:16:29.404
!MESSAGE Missing imported package org.eclipse.e4.ui.workbench.renderers.swt_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-11-22 12:16:29.404
!MESSAGE Bundle org.eclipse.ui_3.105.0.v20130522-1122 [103] was not resolved.
!SUBENTRY 2 org.eclipse.ui 2 0 2013-11-22 12:16:29.404
!MESSAGE Missing required bundle org.eclipse.ui.workbench_[3.105.0,4.0.0).
!SUBENTRY 2 org.eclipse.ui 2 0 2013-11-22 12:16:29.404
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=CDC/Foundation)(version=1.0))(&(osgi.ee=JavaSE)(version=1.3)))".
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-11-22 12:16:29.404
!MESSAGE Bundle org.zeiss.mo.xi.pcc.ui.swt_1.0.0.201311221214 [110] was not resolved.
!SUBENTRY 2 org.zeiss.mo.xi.pcc.ui.swt 2 0 2013-11-22 12:16:29.405
!MESSAGE Missing required bundle org.eclipse.scout.rt.ui.swt_0.0.0.
!SUBENTRY 2 org.zeiss.mo.xi.pcc.ui.swt 2 0 2013-11-22 12:16:29.405
!MESSAGE Missing required bundle org.eclipse.ui_0.0.0.
!SUBENTRY 2 org.zeiss.mo.xi.pcc.ui.swt 2 0 2013-11-22 12:16:29.405
!MESSAGE Missing required bundle org.eclipse.ui.views_0.0.0.

!ENTRY org.eclipse.osgi 4 0 2013-11-22 12:16:29.405
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: No application id has been found.
at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:242)
at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:354)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:181)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:636)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:591)
at org.eclipse.equinox.launcher.Main.run(Main.java:1450)

Swing and RAP client work fine after export. Its only the swt client which is the problem.

Thanks and Regards,
Anurag Mahendru
Re: SWT Client startup Error [message #1203183 is a reply to message #1202914] Fri, 22 November 2013 09:21 Go to previous messageGo to next message
Matthias Nick is currently offline Matthias Nick
Messages: 148
Registered: August 2013
Senior Member
Hi Anarug,

I assume your swt plug-in is structured as follows:
com.your.name.ui.swt.projectname
 - products
  - development
   - swt-client-dev.product
  - production
   - swt-client.product


You have a product file for development and one for production. When you now open the product files, there is a set of buttons on the top. Click on the one which says "Validate..." (see attachment). There must not be any errors. My guess is that in your case, the product file for development is okay, but in the one for production you have some unresolved dependencies.

Hope this helps,
Greetings
Matthias
  • Attachment: product.png
    (Size: 23.10KB, Downloaded 47 times)
Re: SWT Client startup Error [message #1203214 is a reply to message #1203183] Fri, 22 November 2013 09:43 Go to previous messageGo to next message
Anurag Mahendru is currently offline Anurag Mahendru
Messages: 2
Registered: November 2013
Junior Member
Hi Nick,

Thanks a lot for the reply. I validated the project as you said and it shows no errors.

I downloaded the latest version of scout and installed it on new workspace and re-imported the project here. After this it seems to be working fine. I guess the error had something to do with in-place upgrade which I did earlier from 3.9.0 to 3.9.1

Regards,
Anurag
Re: SWT Client startup Error [message #1208865 is a reply to message #1203214] Mon, 25 November 2013 03:05 Go to previous message
Matthias Nick is currently offline Matthias Nick
Messages: 148
Registered: August 2013
Senior Member
Hi Anuarg,

interesting, so your problems are gone now? Is there anything else where we can help?

Greetings,
Matthias
Previous Topic:Table in Table Column
Next Topic:Access logging in database
Goto Forum:
  


Current Time: Mon Jul 28 14:26:59 EDT 2014

Powered by FUDForum. Page generated in 0.04346 seconds